<?php


require_once("syncinclude.php");

$return=3;
$_POST['userID'] = $_POST['euser'];
$_POST['userPWD'] = $_POST['epass'];
if (auth())
{
	$return=0;
	//nur BildNr 1 wird ber�cksichtigt
	if (intval($_POST['kArtikelBild'])>0 && intval($_POST['nNr'])==1 && $_FILES['bild'])
	{
		//hol items_id
		$items_id = getFremdArtikel(intval($_POST['kArtikelBild']));
		if ($items_id>0)
		{
			$bildname=$items_id."_".(intval($_POST['nNr'])-1).".jpg";
			move_uploaded_file($_FILES['bild']['tmp_name'],FOLDER_ABSOLUT_CATALOG_PICTURES.$bildname);
			chmod (FOLDER_ABSOLUT_CATALOG_PICTURES.$bildname, 0644);
			
			//updaten
			eS_execute_query("update items set items_picture=\"$bildname\" where items_id=".$items_id);
		}
	}
}
echo($return);
logge($return);

?>